Subject: Re: Titanium

From: mike wolfe <[email-masked]>
Date: Wed, 24 Jul 1996 22:44:07 -0400 (EDT)

Please Put me on the list Mark!!!!
Mike wolfe
[email-masked]
313-668-0404   Ann Arbor, Mi
I will buy 2 of ea. size,
Also that size will make great wood turning tools...

At 06:38 PM 7/24/96 -0700, you wrote:
>If anyone is interested I found a local source for titanium. If at 
>least 20 people are interested per size I can get 12" long blanks for
>about $35 for 1"D and $15 for 1/2"D. This is grade 2 titanium. 
>Does this sound reasonable? Let me know.
>
>Marc3
>Allen Park, Mi.
> 
>
>